# DialogStyle class

Configuration for the dialog/alert style

Annotations
  - @JsonSerializable(includeIfNull: false, createFactory: false, createToJson: true, explicitToJson: true)

## Constructors

DialogStyle({Color? screenBackgroundColor, Color? dialogBackgroundColor, BlurEffect? dialogBackgroundEffect, double? cornerRadius, Color? titleColor, Font? titleFont, Color? messageColor, Font? messageFont, Color? separatorColor, double? separatorWidth})

## Properties

cornerRadius ↔ double?
  The corner radius of the dialog.
  read / write
dialogBackgroundColor ↔ Color?
  The general background color of the actual dialog view.
  read / write
dialogBackgroundEffect ↔ BlurEffect?
  The visual effect of the dialogs background.
  read / write
hashCode → int
  The hash code for this object.
  read-only inherited
messageColor ↔ Color?
  The color of the dialogs message.
  read / write
messageFont ↔ Font?
  The font of the dialogs message.
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited
screenBackgroundColor ↔ Color?
  The Color of the screen-covering backdrop view.
  read / write
separatorColor ↔ Color?
  The color of the separators around the dialogs button area.
  read / write
separatorWidth ↔ double?
  The width of the separators in points.
  read / write
titleColor ↔ Color?
  The color of the dialogs title.
  read / write
titleFont ↔ Font?
  The font of the dialogs title
  read / write

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited